Bug 1250815 - job queues are not configured properly
job queues are not configured properly
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
4.4
Unspecified Unspecified
high Severity medium (vote)
: ---
: ---
Assigned To: Jeff Fearn
Rony Gong
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 01:22 EDT by Jeff Fearn
Modified: 2015-09-20 19:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-20 19:29:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2015-08-06 01:22:51 EDT
Description of problem:
Currently all job queues are handling all jobs, the spec file needs to be fixed so the queues above 8 handle specific job types.

Also make sure the call to jobqueue.pl specifies "-n  queue-$num" so that the queue number gets inserted in to the logs in place of jobqueue.pl.
Comment 1 Jeff Fearn 2015-08-17 01:41:42 EDT
You can verify this after installing the update rpm by running:

$ grep OPTIONS= /etc/init.d/bugzilla-queue-*

queue <= 8 should have -n queue-$X

queue >=9 should have that and a --cando $jobtype.
Comment 2 Rony Gong 2015-08-17 02:21:11 EDT
[root@bzperfweb01 ~]# grep OPTIONS= /etc/init.d/bugzilla-queue-*
/etc/init.d/bugzilla-queue-1:OPTIONS="-n queue-1"
/etc/init.d/bugzilla-queue-10:OPTIONS="--cando send_jira -n queue-10"
/etc/init.d/bugzilla-queue-11:OPTIONS="--cando send_sfdc -n queue-11"
/etc/init.d/bugzilla-queue-12:OPTIONS="--cando send_mail -n queue-12"
/etc/init.d/bugzilla-queue-2:OPTIONS="-n queue-2"
/etc/init.d/bugzilla-queue-3:OPTIONS="-n queue-3"
/etc/init.d/bugzilla-queue-4:OPTIONS="-n queue-4"
/etc/init.d/bugzilla-queue-5:OPTIONS="-n queue-5"
/etc/init.d/bugzilla-queue-6:OPTIONS="-n queue-6"
/etc/init.d/bugzilla-queue-7:OPTIONS="-n queue-7"
/etc/init.d/bugzilla-queue-8:OPTIONS="-n queue-8"
/etc/init.d/bugzilla-queue-9:OPTIONS="--cando rule_engine -n queue-9"
Comment 3 Matt Tyson 2015-09-20 19:29:09 EDT
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

Note You need to log in before you can comment on or make changes to this bug.